Debian Bug report logs - #377895
libnss-ldap: Problem with "-" in LDAP Base DN

version graph

Package: libnss-ldap; Maintainer for libnss-ldap is Debian QA Group <packages@qa.debian.org>; Source for libnss-ldap is src:libnss-ldap.

Reported by: guillaume lohez <silencer@free-4ever.net>

Date: Tue, 11 Jul 2006 21:48:08 UTC

Severity: grave

Tags: fixed, patch

Found in version libnss-ldap/251-5

Fixed in versions 251-5.1, libnss-ldap/251-6

Done: Stephen Frost <sfrost@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Stephen Frost <sfrost@debian.org>:
Bug#377895; Package libnss-ldap. Full text and rfc822 format available.

Acknowledgement sent to guillaume lohez <silencer@free-4ever.net>:
New Bug report received and forwarded. Copy sent to Stephen Frost <sfrost@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: guillaume lohez <silencer@free-4ever.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libnss-ldap: Problem with "-" in LDAP Base DN
Date: Tue, 11 Jul 2006 23:29:03 +0200
Package: libnss-ldap
Version: 251-5
Severity: grave
Justification: renders package unusable



-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-k7
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)

Versions of packages libnss-ldap depends on:
ii  debconf [debconf-2.0]       1.5.2        Debian configuration management sy
ii  libc6                       2.3.6-15     GNU C Library: Shared libraries
ii  libkrb53                    1.4.3-7      MIT Kerberos runtime libraries
ii  libldap2                    2.1.30-13+b1 OpenLDAP libraries

Versions of packages libnss-ldap recommends:
ii  libpam-ldap                   180-1      Pluggable Authentication Module al
ii  nscd                          2.3.6-15   GNU C Library: Name Service Cache 

-- debconf information:
  libnss-ldap/dblogin: false
  libnss-ldap/override: true
* shared/ldapns/base-dn: o=free-4ever,dc=net
* shared/ldapns/ldap-server: ldaps://annuaire.free-4ever.net:636
  libnss-ldap/confperm: false
* libnss-ldap/rootbinddn: cn=admin,o=free-4ever,dc=net
* shared/ldapns/ldap_version: 3
  libnss-ldap/binddn: cn=proxyuser,dc=exemple,dc=net
* libnss-ldap/nsswitch:
  libnss-ldap/dbrootlogin: true

I'm running Etch updated. With the new libnss-ldap, debconf can't upgrade because it found a "-" in my Base DN.
Here is a copy/paste of the error:
------
Number found where operator expected at -e line 1, near "s-^uri .*-uri ldaps:\/\/annuaire.free-4"
Bareword found where operator expected at -e line 1, near "4ever"
        (Missing operator before ever?)
syntax error at -e line 1, near "s-^uri .*-uri ldaps:\/\/annuaire.free-4"
Execution of -e aborted due to compilation errors.
dpkg : erreur de traitement de libnss-ldap (--configure) :
 le sous-processus post-installation script a retourné une erreur de sortie d'état 255
Des erreurs ont été rencontrées pendant l'exécution :
 libnss-ldap
------

Regards
Guillaume



Information forwarded to debian-bugs-dist@lists.debian.org, Stephen Frost <sfrost@debian.org>:
Bug#377895; Package libnss-ldap. Full text and rfc822 format available.

Acknowledgement sent to Peter Bücker <buecker@phil-fak.uni-duesseldorf.de>:
Extra info received and forwarded to list. Copy sent to Stephen Frost <sfrost@debian.org>. Full text and rfc822 format available.

Message #10 received at 377895@bugs.debian.org (full text, mbox):

From: Peter Bücker <buecker@phil-fak.uni-duesseldorf.de>
To: 377895@bugs.debian.org
Subject: Re: Bug #377895: libnss-ldap: Problem with "-" in LDAP Base DN
Date: Wed, 12 Jul 2006 11:07:55 +0200
Package: libnss-ldap
Version: 251-5
Tags: patch

I can confirm this problem on my machine. However, the problem seems not 
to be the Base DN containing a '-', but the LDAP URI. I wrote a small 
patch which fixes a sed regex.

--- libnss-ldap-251-orig/debian/libnss-ldap.postinst    2006-07-12 
11:04:30.000000000 +0200
+++ libnss-ldap-251/debian/libnss-ldap.postinst 2006-07-12 
11:05:02.000000000 +0200
@@ -25,7 +25,7 @@
        # then the slashes
        value=`echo $value | sed -s 's#/#\\\/#g'`
        # escape hyphen in domainnames for later regex compat (ex. 
example-city.net)
-       value=`echo $value | sed -s 's#-#\\-#g'`
+       value=`echo $value | sed -s 's#-#\\\-#g'`

        egrep -i -q "^$parameter " $CONFFILE || notthere=1
        if [ "$notthere" = "1" ]; then



Information forwarded to debian-bugs-dist@lists.debian.org, Stephen Frost <sfrost@debian.org>:
Bug#377895; Package libnss-ldap. Full text and rfc822 format available.

Acknowledgement sent to Jon Bright <jbright@tick-it.de>:
Extra info received and forwarded to list. Copy sent to Stephen Frost <sfrost@debian.org>. Full text and rfc822 format available.

Message #15 received at 377895@bugs.debian.org (full text, mbox):

From: Jon Bright <jbright@tick-it.de>
To: 377895@bugs.debian.org
Subject: Re: libnss-ldap: Problem with "-" in LDAP Base DN
Date: Wed, 16 Aug 2006 19:29:05 +0200
I'm seeing this same problem (with the base DN, though I guess it would 
affect any of the parameters).  I can confirm that adding the backslash, 
as described in the patch above, to 
/var/lib/dpkg/info/libnss-ldap.postinst fixed it for me.

-- 
Jon Bright
Software Entwickler, tick-IT GmbH
http://www.tick-it.de



Information forwarded to debian-bugs-dist@lists.debian.org, Stephen Frost <sfrost@debian.org>:
Bug#377895; Package libnss-ldap. Full text and rfc822 format available.

Acknowledgement sent to Peter Bücker <buecker@phil-fak.uni-duesseldorf.de>:
Extra info received and forwarded to list. Copy sent to Stephen Frost <sfrost@debian.org>. Full text and rfc822 format available.

Message #20 received at 377895@bugs.debian.org (full text, mbox):

From: Peter Bücker <buecker@phil-fak.uni-duesseldorf.de>
To: 377895@bugs.debian.org
Subject: Re: Bug #377895: libnss-ldap: Problem with "-" in LDAP Base DN
Date: Fri, 01 Sep 2006 15:38:13 +0200
I wonder why the maintainer does not care about this grave (but simple 
to fix) bug. Do you need more information on this bug to fix it?



Tags added: patch Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Stephen Frost <sfrost@debian.org>:
Bug#377895; Package libnss-ldap. Full text and rfc822 format available.

Acknowledgement sent to Mathias Weyland <mathias@weyland.ch>:
Extra info received and forwarded to list. Copy sent to Stephen Frost <sfrost@debian.org>. Full text and rfc822 format available.

Message #27 received at 377895@bugs.debian.org (full text, mbox):

From: Mathias Weyland <mathias@weyland.ch>
To: 377895@bugs.debian.org
Subject: Re: Bug #377895: libnss-ldap: Problem with "-" in LDAP Base DN
Date: Sat, 09 Sep 2006 19:23:49 +0200
This bug was fixed with an NMU during a BSP. debdiff below

Thanks for the patch, Peter

Mathias Weyland


--- /tmp/evxljSLIGs/libnss-ldap-251/debian/changelog    2006-09-09
19:20:40.000000000 +0200
+++ /tmp/3eiqOV1I0e/libnss-ldap-251/debian/changelog    2006-09-09
19:20:40.000000000 +0200
@@ -1,3 +1,10 @@
+libnss-ldap (251-6) unstable; urgency=low
+
+  * Fixed regexp in postinstall script as described by
+    Peter Buecker in the BTS (closes: bug#377895)
+
+ -- Mathias Weyland <mathias@weyland.ch>  Sat,  9 Sep 2006 18:28:54 +0200
+
 libnss-ldap (251-5) unstable; urgency=low

   * Handle case when /var/lib is not yet available
diff -Nru /tmp/evxljSLIGs/libnss-ldap-251/debian/libnss-ldap.postinst
/tmp/3eiqOV1I0e/libnss-ldap-251/debian/libnss-ldap.postinst
--- /tmp/evxljSLIGs/libnss-ldap-251/debian/libnss-ldap.postinst 2006-09-09
19:20:40.000000000 +0200
+++ /tmp/3eiqOV1I0e/libnss-ldap-251/debian/libnss-ldap.postinst 2006-09-09
19:20:40.000000000 +0200
@@ -25,7 +25,7 @@
        # then the slashes
        value=`echo $value | sed -s 's#/#\\\/#g'`
        # escape hyphen in domainnames for later regex compat (ex.
example-city.net)
-       value=`echo $value | sed -s 's#-#\\-#g'`
+       value=`echo $value | sed -s 's#-#\\\-#g'`

        egrep -i -q "^$parameter " $CONFFILE || notthere=1
        if [ "$notthere" = "1" ]; then




Tags added: fixed Request was from Mathias Weyland <mathias@weyland.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 251-5.1, send any further explanations to guillaume lohez <silencer@free-4ever.net> Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to guillaume lohez <silencer@free-4ever.net>:
Bug#377895. Full text and rfc822 format available.

Message #34 received at 377895-submitter@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 370031-submitter@bugs.debian.org, 370147-submitter@bugs.debian.org, 370178-submitter@bugs.debian.org, 370193-submitter@bugs.debian.org, 370232-submitter@bugs.debian.org, 370233-submitter@bugs.debian.org, 370244-submitter@bugs.debian.org, 370438-submitter@bugs.debian.org, 370447-submitter@bugs.debian.org, 370451-submitter@bugs.debian.org, 370504-submitter@bugs.debian.org, 370519-submitter@bugs.debian.org, 370757-submitter@bugs.debian.org, 370784-submitter@bugs.debian.org, 371142-submitter@bugs.debian.org, 372193-submitter@bugs.debian.org, 372275-submitter@bugs.debian.org, 372488-submitter@bugs.debian.org, 372558-submitter@bugs.debian.org, 372619-submitter@bugs.debian.org, 372840-submitter@bugs.debian.org, 373464-submitter@bugs.debian.org, 373509-submitter@bugs.debian.org, 373559-submitter@bugs.debian.org, 373693-submitter@bugs.debian.org, 373953-submitter@bugs.debian.org, 374000-submitter@bugs.debian.org, 374045-submitter@bugs.debian.org, 374264-submitter@bugs.debian.org, 374396-submitter@bugs.debian.org, 374487-submitter@bugs.debian.org, 374490-submitter@bugs.debian.org, 374595-submitter@bugs.debian.org, 374730-submitter@bugs.debian.org, 374846-submitter@bugs.debian.org, 374909-submitter@bugs.debian.org, 374935-submitter@bugs.debian.org, 374955-submitter@bugs.debian.org, 375105-submitter@bugs.debian.org, 375561-submitter@bugs.debian.org, 375572-submitter@bugs.debian.org, 375612-submitter@bugs.debian.org, 376197-submitter@bugs.debian.org, 376402-submitter@bugs.debian.org, 376421-submitter@bugs.debian.org, 376422-submitter@bugs.debian.org, 376471-submitter@bugs.debian.org, 376670-submitter@bugs.debian.org, 376673-submitter@bugs.debian.org, 376715-submitter@bugs.debian.org, 376875-submitter@bugs.debian.org, 376946-submitter@bugs.debian.org, 376972-submitter@bugs.debian.org, 377080-submitter@bugs.debian.org, 377089-submitter@bugs.debian.org, 377248-submitter@bugs.debian.org, 377285-submitter@bugs.debian.org, 377445-submitter@bugs.debian.org, 377652-submitter@bugs.debian.org, 377694-submitter@bugs.debian.org, 377813-submitter@bugs.debian.org, 377895-submitter@bugs.debian.org, 377978-submitter@bugs.debian.org, 377991-submitter@bugs.debian.org, 378026-submitter@bugs.debian.org, 378049-submitter@bugs.debian.org, 378066-submitter@bugs.debian.org, 378091-submitter@bugs.debian.org, 378198-submitter@bugs.debian.org, 378253-submitter@bugs.debian.org, 378296-submitter@bugs.debian.org, 378393-submitter@bugs.debian.org, 378397-submitter@bugs.debian.org, 378412-submitter@bugs.debian.org, 378447-submitter@bugs.debian.org, 378498-submitter@bugs.debian.org, 378586-submitter@bugs.debian.org, 379214-submitter@bugs.debian.org, 379242-submitter@bugs.debian.org, 379261-submitter@bugs.debian.org, 379264-submitter@bugs.debian.org, 379275-submitter@bugs.debian.org, 379486-submitter@bugs.debian.org, 379537-submitter@bugs.debian.org, 379566-submitter@bugs.debian.org, 379584-submitter@bugs.debian.org, 379744-submitter@bugs.debian.org, 379813-submitter@bugs.debian.org, 379895-submitter@bugs.debian.org, 368991-submitter@bugs.debian.org, 369450-submitter@bugs.debian.org, 369733-submitter@bugs.debian.org
Subject: bugs fixed in NMU, documenting versions
Date: Wed, 25 Oct 2006 21:05:42 -0700
# Hi folks,
#
# You are receiving this mail because you are the submitter of one or more
# bugs that have been fixed in a non-maintainer upload of a Debian package,
# but not yet acknowledged by the maintainers.  With version tracking in the
# Debian BTS, it is important to know which version of a package fixes each
# bug so that they can be tracked for release status in the BTS, so I'm
# closing these bugs with the relevant version number information now.
#
# It is possible that this will be the only message you receive about this
# bug being fixed, and due to the volume of affected bugs we are
# unfortunately not sending individualized explanations for each bug.  If
# you have questions about the fix for your particular bug or about this
# email, please contact me directly or follow up to the bug report in the
# BTS.

close 370031 1.12-0.1
close 370147 0.3.4.cvs.20050813-2.1
close 370178 3.1.0-5.2
close 370193 1.2.2-4.3
close 370232 1.2-2.1
close 370233 4.2.22-2.1
close 370244 0.7.6-1.1
close 370438 0.3.6-2.1
close 370447 0.1.5-1.1
close 370451 0.3.9-1.1
close 370504 1.99.0-2.1
close 370519 1.0.3-1.2
close 370757 2.2-5.2
close 370784 2.4.0-4.1
close 371142 1.1.3-5.2
close 372193 1:0.7.44.20051021-2.1
close 372275 0.7.3-3.1
close 372488 0.8.0-1
close 372558 0.5.10-1.1
close 372619 1.3-0.1
close 372840 0.9.10-3.2
close 373464 1.5.3-1.1
close 373509 0.99cvs20060405-1.1
close 373559 0.0.43-0.1
close 373693 2.4-11.1
close 373953 1.9.0+20060423-3.1
close 374000 3.1.0-5.3
close 374045 1.3bbn-9.1
close 374264 0.20-1-1.3
close 374396 5.8.8-6.1
close 374487 3.5.0.20030301-1.1
close 374490 1.0.1a-2.1
close 374595 1:0.90.0.1-1
close 374730 0.6-1.1
close 374846 3.2-1.1
close 374909 3.0.9-5.1
close 374935 1.15-6.1
close 374955 1.0.3-1.2
close 375105 9.51-2.1
close 375561 1.5.1-2.1
close 375572 1.1.1-1.1
close 375612 0.3.0+beta4-1.2
close 376197 0.9.0-0.1
close 376402 0.9d-2.2
close 376421 3.0-9.2
close 376422 1.3-4.2
close 376471 1.4.52-1.1
close 376670 1.1-3.2
close 376673 15-0.1
close 376715 0.86.2-6.1
close 376875 1.3-1.1
close 376946 1:2.2-2.1	
close 377080 0.9.0-1.1
close 377089 0.18-0.1
close 377248 382-iso258-1.1
close 377285 2.7.5-2sarge2
close 377445 4.1-18.3
close 377652 3.0-16.1
close 377694 2.8-2.2
close 377813 0.5.0-1.3
close 377895 251-5.1
close 377978 20060704a-2
close 377991 1:1.18-2.3
close 378026 1.81-3.1
close 378049 0.18-2.2
close 378066 0.11.4-2
close 378091 0.4.2-3.0etch1
close 378198 6.4.2-1.1
close 378253 2.5.03.2382-2
close 378296 0.96.9-12.1
close 378393 1.4.4.cvs20060709-2.1
close 378397 1.4.4.cvs20060709-2.2
close 378412 2.34-4.1
close 378447 3.6.13-3.5
close 378498 1.6-8.1
close 378586 0.0.43-0.1
close 379214 4.1.2-1.1
close 379242 0.6.6-6.2
close 379261 1.0.57-2.2
close 379275 0.7.3-1.1
close 379486 1.19-7.2
close 379537 1.02-1.1
close 379566 0.52.2-5.1
close 379584 2.01.10-30.1
close 379744 0.1-1.2
close 379813 1.1.4-3.1
close 379895 1.0.57-2.2
thanks

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Reply sent to Stephen Frost <sfrost@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to guillaume lohez <silencer@free-4ever.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 377895-close@bugs.debian.org (full text, mbox):

From: Stephen Frost <sfrost@debian.org>
To: 377895-close@bugs.debian.org
Subject: Bug#377895: fixed in libnss-ldap 251-6
Date: Fri, 03 Nov 2006 18:47:30 -0800
Source: libnss-ldap
Source-Version: 251-6

We believe that the bug you reported is fixed in the latest version of
libnss-ldap, which is due to be installed in the Debian FTP archive:

libnss-ldap_251-6.diff.gz
  to pool/main/libn/libnss-ldap/libnss-ldap_251-6.diff.gz
libnss-ldap_251-6.dsc
  to pool/main/libn/libnss-ldap/libnss-ldap_251-6.dsc
libnss-ldap_251-6_amd64.deb
  to pool/main/libn/libnss-ldap/libnss-ldap_251-6_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 377895@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Frost <sfrost@debian.org> (supplier of updated libnss-ldap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 22 Oct 2006 19:19:59 -0400
Source: libnss-ldap
Binary: libnss-ldap
Architecture: source amd64
Version: 251-6
Distribution: unstable
Urgency: low
Maintainer: Stephen Frost <sfrost@debian.org>
Changed-By: Stephen Frost <sfrost@debian.org>
Description: 
 libnss-ldap - NSS module for using LDAP as a naming service
Closes: 375077 375215 377895 390241 390926 390957 391053 391167 391829 394152
Changes: 
 libnss-ldap (251-6) unstable; urgency=low
 .
   * Acknowledge NMUs (Closes: #377895, #390241, #390957)
   * Resolve timing issues,
     Closes: #375077, #375215, #390926, #391053, #391167, #394152, #391829
Files: 
 c3313601fbda4794f0ee940c65784897 669 net extra libnss-ldap_251-6.dsc
 346c7b583c98376dc452ce8a560328a3 118805 net extra libnss-ldap_251-6.diff.gz
 7a4f26e121d21ff235595d7bbb2c68b5 100350 net extra libnss-ldap_251-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFS/36rzgMPqB3kigRAhzgAJ9FO9MqddmNqc6AY97QsGbaqwVUuACeIVhh
T//scPH2J0t+ruTS0y/ejLk=
=Tu+2
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 06:37:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:40:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.